Draft Point/es: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
(20 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand|Name=Draft Point|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Point|Shortcut=P T}}
{{Docnav|[[Draft_BSpline|BSpline]]|[[Draft_ShapeString|ShapeString]]|[[Draft_Module|Draft]]|IconL=Draft_BSpline.svg |IconC=Workbench_Draft.svg|IconR=Draft_ShapeString.svg }}


<div class="mw-translate-fuzzy">
==Description==
{{GuiCommand/es|Name=Draft Point|Workbenches=[[Draft Module/es|Boceto]], [[Arch Module/es|Arquitectura]]|MenuLocation=Boceto Punto|Shortcut=P T}}
</div>


==Descripción==
The Point tool creates a simple point in the current [[Draft Workingplane|work plane]], handy to serve as reference for placing other objects later. It takes the [[Draft Linestyle|color]] previously set on the Tasks tab.


<div class="mw-translate-fuzzy">
La herramienta punto crea un punto simple en el [[Draft SelectPlane/es|plano de trabajo]] actual, útil para servir como referencia para ubicar otros objetos después. Toma el [[Draft Linestyle/es|color]] previamente establecido en la pestaña de tareas.
</div>

[[Image:Draft_point_example.jpg|400px]]
<div class="mw-translate-fuzzy">
[[Image:Draft_point_example.jpg|400px]]
[[Image:Draft_point_example.jpg|400px]]
</div>


==How to use==
==Utilización==


<div class="mw-translate-fuzzy">
# Press the {{KEY|[[Image:Draft Point.png|16px]] [[Draft Point]]}} button, or press {{KEY|P}} then {{KEY|T}} keys
# Presiona el botón {{KEY|[[Image:Draft Point.png|16px]] [[Draft Point/es|punto]]}}, o presiona las teclas {{KEY|P}} y {{KEY|T}}
# Click a point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Designa un punto en la vista 3D, o escribe unas coordenadas [[Draft_Coordinates/es|coordenadas]]
</div>


==Options==
==Opciones==


<div class="mw-translate-fuzzy">
* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
* Para introducir coordenadas manualmente, simplemente introduce los números, y presiona {{KEY|ENTER}} entre cada componente X, Y y Z.
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current Line command.
* Presiona {{KEY|ESC}} o el botón {{KEY|'''Cancelar'''}} para evitar el comando actual.
</div>


==Properties==
==Propiedades==


<div class="mw-translate-fuzzy">
* {{PropertyData|X}}: The X coordinate of the point
* {{PropertyData|Y}}: The Y coordinate of the point
* {{PropertyData|X}}: La coordenada X del punto
* {{PropertyData|Z}}: The Z coordinate of the point
* {{PropertyData|Y}}: La coordenada Y del punto
* {{PropertyData|Z}}: La coordenada Z del punto
</div>


<div class="mw-translate-fuzzy">
==Scripting==
==Archivos de guión==
</div>


<div class="mw-translate-fuzzy">
The Point tool can by used in [[macros]] and from the python console by using the following function:
La herramienta punto se puede utilizar en [[macros/es|macros]] y desde la consola Python utilizando la siguiente función:
<syntaxhighlight>
</div>
makePoint([x],[y],[z])
{{Code|code=
</syntaxhighlight>
Point = makePoint(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
* makes a point at the given coordinates. If no X, Y and Z coordinates are given, the point is created at (0,0,0). Returns the newly created object.
Point = makePoint(point, Y=0, Z=0, color=None, name="Point", point_size=5)
}}

<div class="mw-translate-fuzzy">
* crea un punto en las coordenadas indicadas. Si no se indican las coordenadas X, Y y Z, el punto se creará en el origen de coordenadas (0,0,0). Devuelve el objeto recién creado.
</div>


Example:
Example:
{{Code|code=
<syntaxhighlight>
import Draft
import random, FreeCAD, Draft
Draft.makePoint(6,4,2)
</syntaxhighlight>


Point1 = Draft.makePoint(1600, 1400, 0)

p2 = FreeCAD.Vector(-3200, 1800, 0)
Point2 = Draft.makePoint(p2, color=(0.5, 0.3, 0.6), point_size=10)

# Make a loop and create ten points with random coordinates that extend
# from -L to L on both X and Y. Also choose a random color and size.

# Change value to define the area covered by the points
L = 1000
centered = FreeCAD.Placement(FreeCAD.Vector(-L,-L,0), FreeCAD.Rotation())
Rectangle = Draft.makeRectangle(2*L, 2*L, placement=centered)

for i in range(10):
x = 2*L*random.random() - L
y = 2*L*random.random() - L
z = 0
r = random.random()
g = random.random()
b = random.random()
size = 15*random.random() + 5
Draft.makePoint(x, y, z, color=(r, g, b), point_size=size)
}}

{{Docnav|[[Draft_BSpline|BSpline]]|[[Draft_ShapeString|ShapeString]]|[[Draft_Module|Draft]]|IconL=Draft_BSpline.svg |IconC=Workbench_Draft.svg|IconR=Draft_ShapeString.svg }}

{{Draft Tools navi}}

{{Userdocnavi}}
{{clear}}
{{clear}}
<languages/>

Revision as of 19:54, 11 February 2019

Draft Point

Ubicación en el Menú
Boceto → Punto
Entornos de trabajo
Boceto, Arquitectura
Atajo de teclado por defecto
P T
Introducido en versión
-
Ver también
Ninguno

Descripción

La herramienta punto crea un punto simple en el plano de trabajo actual, útil para servir como referencia para ubicar otros objetos después. Toma el color previamente establecido en la pestaña de tareas.

Utilización

  1. Presiona el botón punto, o presiona las teclas P y T
  2. Designa un punto en la vista 3D, o escribe unas coordenadas coordenadas

Opciones

  • Para introducir coordenadas manualmente, simplemente introduce los números, y presiona ENTER entre cada componente X, Y y Z.
  • Presiona ESC o el botón Cancelar para evitar el comando actual.

Propiedades

  • DatosX: La coordenada X del punto
  • DatosY: La coordenada Y del punto
  • DatosZ: La coordenada Z del punto

Archivos de guión

La herramienta punto se puede utilizar en macros y desde la consola Python utilizando la siguiente función:

Point = makePoint(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
Point = makePoint(point, Y=0, Z=0, color=None, name="Point", point_size=5)
  • crea un punto en las coordenadas indicadas. Si no se indican las coordenadas X, Y y Z, el punto se creará en el origen de coordenadas (0,0,0). Devuelve el objeto recién creado.

Example:

import random, FreeCAD, Draft

Point1 = Draft.makePoint(1600, 1400, 0)

p2 = FreeCAD.Vector(-3200, 1800, 0)
Point2 = Draft.makePoint(p2, color=(0.5, 0.3, 0.6), point_size=10)

# Make a loop and create ten points with random coordinates that extend
# from -L to L on both X and Y. Also choose a random color and size.

# Change value to define the area covered by the points
L = 1000
centered = FreeCAD.Placement(FreeCAD.Vector(-L,-L,0), FreeCAD.Rotation())
Rectangle = Draft.makeRectangle(2*L, 2*L, placement=centered)

for i in range(10):
    x = 2*L*random.random() - L
    y = 2*L*random.random() - L
    z = 0
    r = random.random()
    g = random.random()
    b = random.random()
    size = 15*random.random() + 5
    Draft.makePoint(x, y, z, color=(r, g, b), point_size=size)